Установка PHP 5.2.2-PHP 5.2.6

Тема в разделе "Администрирование серверов", создана пользователем Ser Frood, 13 авг 2009.

Статус темы:
Закрыта.
Модераторы: mefish, stooper
  1. Ser Frood

    Ser Frood Заблокирован

    Регистр.:
    12 дек 2006
    Сообщения:
    519
    Симпатии:
    384
    Кто подскажет как на CentOS 5,2 поставить любой пакет PHP 5.2.2-PHP 5.2.6, юмом или ещё каким способом (не вручную).
    PS: юм апдейт ставит 5.3.0 (
     
  2. despainer

    despainer

    Регистр.:
    15 фев 2008
    Сообщения:
    615
    Симпатии:
    168
    yum update
    yum upgrate php*
    Обновит пакет php и все смежные с ним модули (зависимости и др)

    а так если мне память не изменяет в сент есть утилита обновления (работает под оболочкой KDE )

    Если честно,мне проще обновить чтото с консоли чем с графической оболочке
     
  3. Ser Frood

    Ser Frood Заблокирован

    Регистр.:
    12 дек 2006
    Сообщения:
    519
    Симпатии:
    384
    читай что я выше отписал:
    а вопрос был >> Кто подскажет как на CentOS 5,2 поставить любой пакет PHP 5.2.2-PHP 5.2.6 ??
     
  4. unixman

    unixman

    Регистр.:
    6 сен 2006
    Сообщения:
    687
    Симпатии:
    61
    Поставить репозиторий с нужной версией php
    При запуске yum подключить ее и отключить остальные
    И потом yum install php
    :)
     
  5. Sangre

    Sangre Постоялец

    Регистр.:
    12 ноя 2008
    Сообщения:
    51
    Симпатии:
    6
    http://webphp.ru/centos-обновление-php-php-update-to-52x/
    ставил как описано там, работает
     
  6. Ser Frood

    Ser Frood Заблокирован

    Регистр.:
    12 дек 2006
    Сообщения:
    519
    Симпатии:
    384
    Видимо ты давно ставил! те репозиты удалены....

    unixman, пробовал) но так и не нашел старых репозитов) наешел 1-н установилось всё гуд в, а вот модули не устанавливаются)))
     
  7. unixman

    unixman

    Регистр.:
    6 сен 2006
    Сообщения:
    687
    Симпатии:
    61
    Я сам делал php из srpm, когда было надо. Под платный заказ :)
     
  8. dan1005

    dan1005 Писатель

    Регистр.:
    6 авг 2009
    Сообщения:
    3
    Симпатии:
    0
    Найди rpm-ку нужной версии, и все дела.
    Если есть подходящие сорцы, могу скомпилировать.
     
  9. Ser Frood

    Ser Frood Заблокирован

    Регистр.:
    12 дек 2006
    Сообщения:
    519
    Симпатии:
    384
    уже так и сделал)) правда модули гемороют))
     
  10. unixman

    unixman

    Регистр.:
    6 сен 2006
    Сообщения:
    687
    Симпатии:
    61
    Криво скомпилил значит
     
Статус темы:
Закрыта.